-- prebacivanje na bazu
USE AdventureWorksOBP
GO

--------------------------------------------------------------------------
-- Vježbe 1.
DBCC TRACEON(3604)
DBCC IND('AdventureWorksOBP', 'Drzava', -1)
-- a. DBCC IND vraća 2 retka, ali samo jedan od njih ima PageType jednak 1. 
-- Dakle, svi podaci iz tablice su smješteni na jednu stranicu.
-- b. PageFID = 1, PagePID = 77

DBCC PAGE('AdventureWorksOBP', 1, 77, 3) WITH TABLERESULTS
-- c. Za 1. redak imamo: "Slot 0 Offset 0x60 Length 31", dakle, njegova duljina je 31 bajta.
--    Za 2. redak imamo: "Slot 1 Offset 0x7f Length 31", dakle, njegova duljina je 31 bajta.
--    Za 3. redak imamo: "Slot 2 Offset 0x9e Length 53", dakle, njegova duljina je 53 bajta.
-- d. Reci su poslagani po stupcu IDDrzava, uzlazno od a prema z.
-- e. Redak ispred Njemačka je Hrvatska, a iza je Bosna i Hercegovina.


-- Vježbe 2.
DBCC TRACEON(3604)
DBCC IND('AdventureWorksOBP', 'Proizvod', -1)

DBCC PAGE('AdventureWorksOBP', 1, 79, 3) WITH TABLERESULTS
DBCC PAGE('AdventureWorksOBP', 1, ???, 3) WITH TABLERESULTS

SELECT COUNT(*) FROM Proizvod
-- g. Ukupno stranica = ??
--    Ukupno redaka = 504
--    Prosječno redaka po stranici = ??

-- Vježbe 3.
DBCC TRACEON(3604)
DBCC IND('AdventureWorksOBP', 'Kupac', -1)

DBCC PAGE('AdventureWorksOBP', 1, ???, 3) WITH TABLERESULTS
